import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { components, events, renderClassName, EventContextProvider } from 'fastui';
import BootstrapModal from 'react-bootstrap/Modal';
export const Modal = (props) => {
    const { className, title, body, footer, openTrigger, openContext } = props;
    const { eventContext, clear } = events.usePageEventListen(openTrigger, openContext);
    return (_jsx(EventContextProvider, { context: eventContext, children: _jsxs(BootstrapModal, { className: renderClassName(className), show: !!eventContext, onHide: clear, children: [_jsx(BootstrapModal.Header, { closeButton: true, children: _jsx(BootstrapModal.Title, { children: title }) }), _jsx(BootstrapModal.Body, { children: _jsx(components.AnyCompList, { propsList: body }) }), footer && (_jsx(BootstrapModal.Footer, { className: "modal-footer", children: _jsx(components.AnyCompList, { propsList: footer }) }))] }) }));
};
