import { FC, ReactNode } from 'react';
interface ErrorDetails {
    title: string;
    description: string;
}
interface ErrorDisplayProps extends ErrorDetails {
    children?: ReactNode;
}
export type ErrorDisplayType = FC<ErrorDisplayProps>;
interface ErrorContextType {
    error: ErrorDetails | null;
    setError: (error: ErrorDetails | null) => void;
    DisplayError: ErrorDisplayType;
}
export declare const ErrorContext: import("react").Context<ErrorContextType>;
interface Props {
    DisplayError?: ErrorDisplayType;
    children: ReactNode;
}
export declare const ErrorContextProvider: FC<Props>;
export {};
