import { jsx as _jsx } from "react/jsx-runtime";
export const JsonComp = ({ value }) => {
    // if the value is a string, we assume it's already JSON, and parse it
    if (typeof value === 'string') {
        value = JSON.parse(value);
    }
    return (_jsx("div", { className: "code-block", children: _jsx("pre", { children: _jsx("code", { children: JSON.stringify(value, null, 2) }) }) }));
};
