import { jsx as _jsx } from "react/jsx-runtime";
import { useClassName } from '../hooks/className';
import { LinkComp } from './link';
export const LinkListComp = (props) => {
    const itemClassName = useClassName(props, { el: 'link-list-item' });
    return (_jsx("div", { className: useClassName(props), children: props.links.map((link, i) => (_jsx("div", { className: itemClassName, children: _jsx(LinkComp, { ...link, mode: props.mode }) }, i))) }));
};
