import { FC } from 'react';
import { PageEvent } from '../events';
import { FastProps } from './index';
export interface ServerLoadProps {
    type: 'ServerLoad';
    path: string;
    components?: FastProps[];
    loadTrigger?: PageEvent;
    sse?: boolean;
}
export declare const ServerLoadComp: FC<ServerLoadProps>;
export declare const ServerLoadFetch: FC<{
    path: string;
    devReload?: number;
}>;
export declare const ServerLoadSSE: FC<{
    path: string;
}>;
