import { FC } from 'react';
import { ClassName } from '../hooks/className';
import { FastProps } from './index';
export interface DivProps {
    type: 'Div';
    components: FastProps[];
    className?: ClassName;
}
interface PageProps {
    type: 'Page';
    components: FastProps[];
    className?: ClassName;
}
export type AllDivProps = DivProps | PageProps;
export declare const DivComp: FC<AllDivProps>;
export {};
