import { FC } from 'react';
import { ClassName } from '../hooks/className';
import { AnyEvent } from '../events';
export interface ImageProps {
    type: 'Image';
    src: string;
    alt?: string;
    width?: number | string;
    height?: number | string;
    referrerPolicy?: 'no-referrer' | 'no-referrer-when-downgrade' | 'origin' | 'origin-when-cross-origin' | 'same-origin' | 'strict-origin' | 'strict-origin-when-cross-origin' | 'unsafe-url';
    loading?: 'eager' | 'lazy';
    onClick?: AnyEvent;
    className?: ClassName;
}
export declare const ImageComp: FC<ImageProps>;
