import { jsx as _jsx } from "react/jsx-runtime";
import { useClassName } from '../hooks/className';
import { useFireEvent } from '../events';
export const ImageComp = (props) => {
    const { src, alt, width, height, referrerPolicy, loading, onClick } = props;
    const { fireEvent } = useFireEvent();
    return (_jsx("img", { className: useClassName(props), src: src, alt: alt, width: width, height: height, referrerPolicy: referrerPolicy, loading: loading, onClick: () => fireEvent(onClick) }));
};
